# VAT rates: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/vat/

Bimp API methods for the “VAT rates” resource (`/org2/vat/…`): 2 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/vat/api-readList`](#api-read-list) | A request to view a list of VATs |
| [`POST /org2/vat/api-read`](#api-read) | A request to obtain detailed information for a particular VAT |

## api-readList

`POST /org2/vat/api-readList`

A request to view a list of VATs

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].name` | string |  |
| `[].uuid` | string (uuid) |  |
| `[].percentRate` | number |  |
| `[].notAccountable` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/vat/api-readList' \
  -H 'access-token: <company token>'
```

## api-read

`POST /org2/vat/api-read`

A request to obtain detailed information for a particular VAT

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the VAT |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `name` | string |  |
| `uuid` | string (uuid) |  |
| `percentRate` | number |  |
| `notAccountable` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/vat/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
